Foreman - Bug #32981

Latest preseed_networking_setup template snippet does not work Ubuntu 18.04+ with multiple nics
07/11/2021 09:48 AM - Matthew Smith

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Templates
Target version: 252
Difficulty: Fixed in Releases: 242,25.2,3.00
Triaged: No Found in Releases: 241,251
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8658
Description
Hi,

Looks like there is a bug in foreman/preseed_networking_setup.erb at develop - theforeman/foreman - GitHub 1 that breaks the
installation when multiple nics are configured.

This looks like a bug indeed that was introduced by https://projects.theforeman.org/issues/30748

Related issues:

Related to Foreman - Bug #30748: Foreman doesn't support Netplan on Ubuntu Closed

Associated revisions

Revision 50190324 - 07/14/2021 12:48 PM - Lukas Zapletal
Fixes #32981 - revert #30748 - On Ubuntu 18 use netplan

This reverts commit 177adee77bcfbd25fa1fac00b198981473c50910.

Revision 82511609 - 07/14/2021 12:48 PM - Lukas Zapletal
Refs #32981 - add snapshot tests for debian and ubuntu

History

#1 - 07/11/2021 11:31 AM - Tomer Brisker

- Related to Bug #30748: Foreman doesn't support Netplan on Ubuntu added

#2 - 07/11/2021 11:36 AM - Tomer Brisker

- Assignee deleted (Tomer Brisker)

- Target version set to 2.5.2

- Found in Releases 2.4.1, 2.5.1 added
- Found in Releases deleted (2.4.2)

Looks like the template refers to an undefined “addresses’ variable/macro.

#3 - 07/13/2021 09:56 AM - The Foreman Bot

- Assignee set to Lukas Zapletal

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8658 added

#4 - 07/14/2021 12:48 PM - The Foreman Bot
- Fixed in Releases 3.0.0 added
#5 - 07/14/2021 12:50 PM - Tomer Brisker
- Fixed in Releases 2.4.2, 2.5.2 added

#6 - 07/14/2021 01:08 PM - Lukas Zapletal
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|50f90324aacfef7686f48cb6a6c32b6c068773cc.
